"use client"

import { useIntl } from "react-intl"

import { useHotelFilterStore } from "@/stores/hotel-filters"

import Preamble from "@/components/TempDesignSystem/Text/Preamble"

export default function HotelCount() {
  const intl = useIntl()
  const resultCount = useHotelFilterStore((state) => state.resultCount)

  return (
    <Preamble>
      {intl.formatMessage(
        {
          defaultMessage: "{amount, plural, one {# hotel} other {# hotels}}",
        },
        { amount: resultCount }
      )}
    </Preamble>
  )
}
